Is Regression: No
Subject: Speed up updating the extension list

Description

The process of updating the TER
extension list takes approx 1 minute
because the extension manager needs
to mark all "latest versions". This is done
via a large UPDATE query on fields
without indices, additionally this is done
in PHP and not in SQL with a

simple subselect.

Additionally the SQL file does not set
appropriate indices at all, which is also
done in this patch.

Related issues:
related to Core - Epic # 55065: WP: Overall System Performance (Backend and F...
related to Core - Bug # 56499: SqlParser: Subselect in WHERE not suported

New 2010-07-02
Closed 2014-03-03

2014-07-09

Associated revisions

Revision bce23ae7 - 2014-02-27 17:20 - Benjamin Mack

[TASK] Speed up updating the extension list

The process of updating the TER
extension list takes approx 1 minute
because the extension manager needs
to mark all "latest versions". This is done
via a large UPDATE query on fields
without indices, additionally this is done
in PHP and not in SQL with a

simple subselect.

Additionally the SQL file does not set
appropriate indices at all, which is also
done in this patch.

Releases: 6.2

Resolves: #56354
Change-Id: Ic46994fa1b16cce9912950520955185f3f95fe1a

2015-08-04
Reviewed-on: https://review.typo3.org/27876

Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2014-02-26 18:52 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27876

#2 - 2014-02-27 08:41 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27876

#3 - 2014-02-27 09:21 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27876

#4 - 2014-02-27 17:30 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:bce23ae7ddbd28768e0061335e874839c22d944e.
